# Import/Migrate

Endpoint to help your team to upload existing crashes and migrate from an existing crash report solution to BugSplat. This endpoint is not suitable for production crash volumes.

## Upload Crash

<mark style="color:green;">`POST`</mark> `https://{database}.bugsplat.com/api/upload/manual/crash`

Migrate crash minidump files to BugSplat from your existing crash report solution. Note: this endpoint is not suitable for production crash volumes. Replace {database} with the name of your BugSplat database.

#### Request Body

| Name                                         | Type   | Description                                                                                                                                                                |
| -------------------------------------------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| appName<mark style="color:red;">\*</mark>    | string | Application name that generated the corresponding minidump file. This must match the application name used to upload symbol files.                                         |
| appVersion<mark style="color:red;">\*</mark> | string | Application version that generated the corresponding minidump file. This must match the version used to upload symbol files.                                               |
| minidump<mark style="color:red;">\*</mark>   | file   | Minidump file to upload                                                                                                                                                    |
| crashTypeId                                  | int    | TypeId for the corresponding minidump. 1=Windows Native, 6=Breakpad/Crashpad, 8=.NET Framework, 15=Unity Native Windows, 16=Unreal Engine (Linux Server), 17=Unreal Engine |
| appKey                                       | string | Optional appKey value                                                                                                                                                      |
| description                                  | string | Optional description value                                                                                                                                                 |
| email                                        | string | Optional email value                                                                                                                                                       |
| ipAddress                                    | string | Optional IP Address value                                                                                                                                                  |
| user                                         | string | Optional user value                                                                                                                                                        |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    status: "success",
    crashId: 1,
    techSupportUrl: "https://fred.bugsplat.com/browse/support/?stackKeyId=5555&vendor=Fred&key=*Default*"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bugsplat.com/introduction/development/web-services/api/import-migrate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
